## [![cover][]][cover]

A dart package for stream duration, support countdown, countup, and countup infinity.

----

### Example Countdown
```dart
import 'package:stream_duration/stream_duration.dart';


void main() {
  /// Countdown
  var streamDuration = StreamDuration(Duration(seconds: 10), onDone: () {
    print('Stream Done 👍');
  });

  streamDuration.durationLeft.listen((event) {
    print(event.inSeconds);
  });
}
```

### Output Countdown

[![output][]][output]

---

### Example Count Up
```dart
import 'package:stream_duration/stream_duration.dart';


void main() {
   /// Countup
  var streamDurationUp = StreamDuration(Duration(seconds: 10), onDone: () {
    print('Stream Done 👍');
  }, countUp: true);

  streamDurationUp.durationLeft.listen((event) {
    print(event.inSeconds);
  });
}
```

### Output Count Up

[![output up][]][output up]

----

### Example Count Up Infinity
```dart
import 'package:stream_duration/stream_duration.dart';


void main() {
  /// Countup Infinity
  var streamDurationUpInfinity =
      StreamDuration(Duration(seconds: 10), countUp: true, infinity: true);

  streamDurationUpInfinity.durationLeft.listen((event) {
    print(event.inSeconds);
  });
}
```

### Output Count Up Infinity

[![output infinity][]][output infinity]

----

### 🚧 Maintener 
[![account avatar][]][github account] <br>
**Farhan Fadila** <br>
📫 How to reach me: farhan.fadila1717@gmail.com

### ❤️ Suport Maintener
[![badge paypal][]][paypal account] [![badge linktree][]][linktree account]

[cover]: https://github.com/farhanfadila1717/flutter_package/blob/master/display/stream_duration/stream_duration.png
[output]: https://github.com/farhanfadila1717/flutter_package/blob/master/display/stream_duration/output.png
[output up]: https://github.com/farhanfadila1717/flutter_package/blob/master/display/stream_duration/output_1.png
[output infinity]: https://github.com/farhanfadila1717/flutter_package/blob/master/display/stream_duration/output_2.png
[account avatar]: https://avatars.githubusercontent.com/u/43161050?s=80
[github account]: https://github.com/farhanfadila1717
[badge linktree]: https://img.shields.io/badge/Linktree-farhanfadila-orange
[linktree account]: https://linktr.ee/farhanfadila
[badge paypal]: https://img.shields.io/badge/Donate-PayPal-00457C?logo=paypal
[paypal account]: https://www.paypal.me/farhanfadila1717

